Zeppelin and Java 8

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Zeppelin and Java 8

Polina Marasanova
Hi everyone,

We really need to have Java 8 in our Zeppelin. I've seen a pull request about a year ago to upgrade Java version. It was closed as not urgent.
Are there any updates regarding this matter?

How dangerous it could be if I change the version to 1.8 in a pom.xml myself and rebuild it?

Cheers,
Polina
Reply | Threaded
Open this post in threaded view
|

Re: Zeppelin and Java 8

Jun Kim
Hi! Zeppelin 0.7.1 is built with Java 8. And it throws an exception if you run it with Java 7.

You can see the related issue here:

Thanks :)

2017년 5월 4일 (목) 오전 9:57, Polina Marasanova <[hidden email]>님이 작성:
Hi everyone,

We really need to have Java 8 in our Zeppelin. I've seen a pull request about a year ago to upgrade Java version. It was closed as not urgent.
Are there any updates regarding this matter?

How dangerous it could be if I change the version to 1.8 in a pom.xml myself and rebuild it?

Cheers,
Polina
--
Taejun Kim

Data Mining Lab.
School of Electrical and Computer Engineering
University of Seoul
Reply | Threaded
Open this post in threaded view
|

RE: Zeppelin and Java 8

Polina Marasanova
Thanks for your quick response. We haven't upgraded yet to 0.7.1 but we plan it in nearest future.
Possibly JAVA_HOME parameter should be changed here https://zeppelin.apache.org/docs/0.7.1/install/install.html

Cheers,
Polina
________________________________________
From: Jun Kim [[hidden email]]
Sent: Thursday, 4 May 2017 12:37 PM
To: [hidden email]
Subject: Re: Zeppelin and Java 8

Hi! Zeppelin 0.7.1 is built with Java 8. And it throws an exception if you run it with Java 7.

You can see the related issue here:
https://issues.apache.org/jira/browse/ZEPPELIN-2405

Thanks :)

2017년 5월 4일 (목) 오전 9:57, Polina Marasanova <[hidden email]<mailto:[hidden email]>>님이 작성:
Hi everyone,

We really need to have Java 8 in our Zeppelin. I've seen a pull request about a year ago to upgrade Java version. It was closed as not urgent.
Are there any updates regarding this matter?

How dangerous it could be if I change the version to 1.8 in a pom.xml myself and rebuild it?

Cheers,
Polina
--
Taejun Kim

Data Mining Lab.
School of Electrical and Computer Engineering
University of Seoul
Reply | Threaded
Open this post in threaded view
|

Re: Zeppelin and Java 8

Jun Kim
I created a PR! Thanks for pointing that out!

2017년 5월 4일 (목) 오후 12:25, Polina Marasanova <[hidden email]>님이 작성:
Thanks for your quick response. We haven't upgraded yet to 0.7.1 but we plan it in nearest future.
Possibly JAVA_HOME parameter should be changed here https://zeppelin.apache.org/docs/0.7.1/install/install.html

Cheers,
Polina
________________________________________
From: Jun Kim [[hidden email]]
Sent: Thursday, 4 May 2017 12:37 PM
To: [hidden email]
Subject: Re: Zeppelin and Java 8

Hi! Zeppelin 0.7.1 is built with Java 8. And it throws an exception if you run it with Java 7.

You can see the related issue here:
https://issues.apache.org/jira/browse/ZEPPELIN-2405

Thanks :)

2017년 5월 4일 (목) 오전 9:57, Polina Marasanova <[hidden email]<mailto:[hidden email]>>님이 작성:
Hi everyone,

We really need to have Java 8 in our Zeppelin. I've seen a pull request about a year ago to upgrade Java version. It was closed as not urgent.
Are there any updates regarding this matter?

How dangerous it could be if I change the version to 1.8 in a pom.xml myself and rebuild it?

Cheers,
Polina
--
Taejun Kim

Data Mining Lab.
School of Electrical and Computer Engineering
University of Seoul
--
Taejun Kim

Data Mining Lab.
School of Electrical and Computer Engineering
University of Seoul